Subject: Final processing again and again?

From: Ping Ding <[email-masked]>
Date: Mon, 1 Nov 93 10:33:58 CST

AS a CSPAer, I got an approval notice from the Northern center
in late September which asked me to do the final processing in
local INS. I did what they wanted in the following days (actually
I have processed my I-89 since I got my receipt). Several days later,
I (maybe everybody) received a letter saying that you don't need
to do your final processing if you have done that. Last week, I got  
an I-797 again which is exact the same one with my approval notice
except the date. I am confused by these things. I have processed
my I-89 two times.
I have a friend with the same situation as mine (he also processed 

twice I-89). He went to Denver INS last week, the officer there told
him it is not necessary for him to process the third time I-89. So, 

center or local, do or do not, I wonder what's going on there?

Thanks for your comments!